Subject: Re: [PATCH net-next v3 5/8] dpaa2-switch: do not clear any interrupts automatically

From: Simon Horman <[email-masked]>
Date: Wed, 20 Dec 2023 15:48:22 +0100

On Tue, Dec 19, 2023 at 01:59:30PM +0200, Ioana Ciornei wrote:
> The DPSW object has multiple event sources multiplexed over the same
> IRQ. The driver has the capability to configure only some of these
> events to trigger the IRQ.
> 
> The dpsw_get_irq_status() can clear events automatically based on the
> value stored in the 'status' variable passed to it. We don't want that
> to happen because we could get into a situation when we are clearing
> more events than we actually handled.
> 
> Just resort to manually clearing the events that we handled. Also, since
> status is not used on the out path we remove its initialization to zero.
> 
> This change does not have a user-visible effect because the dpaa2-switch
> driver enables and handles all the DPSW events which exist at the
> moment.
> 
> Signed-off-by: Ioana Ciornei <[email-masked]>
> ---
> Changes in v3:
> - mention that the change does not have a user visible impact
> Changes in v2:
> - add a bit more info in the commit message

Thanks for these updates too.

Reviewed-by: Simon Horman <[email-masked]>